Loading...
Searching...
No Matches
casacore::MSMainColInterface Class Reference

`#include <MSSelectableMainColumn.h>`

## Public Member Functions

| MSMainColInterface ()
| MSMainColInterface (const Table &msAsTable)
virtual | ~MSMainColInterface ()
virtual void | init (const Table &msAsTable)
virtual const ArrayColumn< Bool > & | flag ()
virtual Bool | flagRow (rownr_t i)
| virtual Bool flagRow(const Int& i) {return allTrue(msCols_p->flag()(i));}
virtual const ScalarQuantColumn< Double > & | exposureQuant ()
virtual const ScalarQuantColumn< Double > & | timeQuant ()
virtual const MeasurementSet * | asMS ()
Public Member Functions inherited from casacore::MSSelectableMainColumn
| MSSelectableMainColumn (const Table &msLikeTable)
| MSSelectableMainColumn ()
virtual | ~MSSelectableMainColumn ()
const Table * | table ()

## Private Attributes

MeasurementSet | ms_p
MSMainColumns * | msCols_p

## Additional Inherited Members

Protected Attributes inherited from casacore::MSSelectableMainColumn
const Table * | table_p

## Detailed Description

Definition at line 62 of file MSSelectableMainColumn.h.

## Constructor & Destructor Documentation

## MSMainColInterface() [1/2]

casacore::MSMainColInterface::MSMainColInterface | ( |  | ) |

inline

Definition at line 65 of file MSSelectableMainColumn.h.

References msCols_p, and casacore::MSSelectableMainColumn::MSSelectableMainColumn().

## MSMainColInterface() [2/2]

casacore::MSMainColInterface::MSMainColInterface | ( | const Table & | msAsTable | ) |

inline

Definition at line 66 of file MSSelectableMainColumn.h.

References casacore::init(), and casacore::MSSelectableMainColumn::MSSelectableMainColumn().

## ~MSMainColInterface()

virtual casacore::MSMainColInterface::~MSMainColInterface | ( |  | ) |

inline virtual

Definition at line 69 of file MSSelectableMainColumn.h.

References msCols_p.

## Member Function Documentation

## asMS()

virtual const MeasurementSet * casacore::MSMainColInterface::asMS | ( |  | ) |

inline virtual

Implements casacore::MSSelectableMainColumn.

Definition at line 80 of file MSSelectableMainColumn.h.

References casacore::MSSelectableMainColumn::table().

## exposureQuant()

virtual const ScalarQuantColumn< Double > & casacore::MSMainColInterface::exposureQuant | ( |  | ) |

inline virtual

Implements casacore::MSSelectableMainColumn.

Definition at line 77 of file MSSelectableMainColumn.h.

References msCols_p.

## flag()

virtual const ArrayColumn< Bool > & casacore::MSMainColInterface::flag | ( |  | ) |

inline virtual

Implements casacore::MSSelectableMainColumn.

Definition at line 73 of file MSSelectableMainColumn.h.

References msCols_p.

## flagRow()

virtual Bool casacore::MSMainColInterface::flagRow | ( | rownr_t | i | ) |

inline virtual

virtual Bool flagRow(const Int& i) {return allTrue(msCols_p->flag()(i));}

Implements casacore::MSSelectableMainColumn.

Definition at line 76 of file MSSelectableMainColumn.h.

References msCols_p.

## init()

virtual void casacore::MSMainColInterface::init | ( | const Table & | msAsTable | ) |

inline virtual

Reimplemented from casacore::MSSelectableMainColumn.

Definition at line 71 of file MSSelectableMainColumn.h.

References casacore::MSSelectableMainColumn::init(), ms_p, and msCols_p.

## timeQuant()

virtual const ScalarQuantColumn< Double > & casacore::MSMainColInterface::timeQuant | ( |  | ) |

inline virtual

Implements casacore::MSSelectableMainColumn.

Definition at line 78 of file MSSelectableMainColumn.h.

References msCols_p.

## Member Data Documentation

## ms_p

MeasurementSet casacore::MSMainColInterface::ms_p

private

Definition at line 82 of file MSSelectableMainColumn.h.

Referenced by init().

## msCols_p

MSMainColumns* casacore::MSMainColInterface::msCols_p

private

Definition at line 83 of file MSSelectableMainColumn.h.

Referenced by exposureQuant(), flag(), flagRow(), init(), MSMainColInterface(), timeQuant(), and ~MSMainColInterface().

The documentation for this class was generated from the following file:

- ms/MSSel/MSSelectableMainColumn.h